Legacy CHEESE API

Submit Synthon Job

Suggest an edit
POST
/submit_synthongpt_job

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

search_input?Search Input
Default"CC(=O)Oc1ccccc1C(=O)O"
db_name?Db Name

Selected SynthonGPT database. Canonical names stay exposed; legacy CHEMSPACE-FREEDOM-142B is still accepted.

Default"CHEMSPACE-FREEDOM-SYNTHON"
search_quality?SearchQuality

Fast synthon search (100 results)

Default"100"

Value in

  • "fast"
  • "accurate"
  • "very_accurate"
  • "100"
  • "1000"
  • "10000"
include_properties?Include Properties
Defaulttrue
include_metadata?Include Metadata
Defaultfalse
include_synthons?Include Synthons
Defaultfalse
synthon_scorer?Synthon Scorer

shape|esp|morgan

Default"shape"
search_mode?Search Mode

similarity|substructure|superstructure

Default"similarity"
structure_match_mode?Structure Match Mode

fuzzy|exact

Default"fuzzy"
smarts_prefilter_pattern_id?Smarts Prefilter Pattern Id

Optional predefined SMARTS pattern id

Default""
smarts_prefilter_pattern_label?Smarts Prefilter Pattern Label

Optional predefined SMARTS pattern label

Default""
smarts_prefilter_pattern_smarts?Smarts Prefilter Pattern Smarts

Optional predefined SMARTS pattern SMARTS

Default""
smarts_prefilter_mode?Smarts Prefilter Mode

include|exclude

Default"include"
synthon_search_backend?Synthon Search Backend

exact_sss

Default"exact_sss"
sample_size?Sample Size
Default100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/submit_synthongpt_job" \  -H "Content-Type: application/json" \  -d '{}'
null